Package org.apache.sling.discovery.oak

## Class SynchronizedClocksHealthCheck

- java.lang.Object
- - org.apache.sling.discovery.oak.SynchronizedClocksHealthCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

    public class SynchronizedClocksHealthCheck
    extends Object
    implements org.apache.felix.hc.api.HealthCheck

HealthCheck that builds on-top of DocumentNodeStore's determineServerTimeDifferenceMillis method which checks how much the local time differs from the DocumentStore's time. It then applies low- and high-water marks to that time difference:

- if the value is higher than the high-water mark (5sec by default), then it issues a critical
- if the value is lower than the high-water but higher than the low-water mark (1sec by default), then it issues only a warn
- if the value is lower than the low-water mark, then it issues only an info

### Field Summary

Fields
`protected org.slf4j.Logger` `logger`

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

### Constructor Summary

Constructors
`SynchronizedClocksHealthCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.hc.api.Result` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected final org.slf4j.Logger logger

### Constructor Detail

#### SynchronizedClocksHealthCheck

    public SynchronizedClocksHealthCheck()

### Method Detail

#### execute

    public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`